package org.apache.ws.resource.example;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author Sal Campana
 */
public class InteropConstants
{

    public static String SERVICES_URL = null;

    static
    {
        initIp();
    }

    public static final String WEATHERSTATION_SERVICE_NAME = "weatherstation";
    public static final String BLACKBERRY_SERVICE_NAME = "blackberry";

    public static final String WEATHERSTATION_KEY1 = "weather1";
    public static final String WEATHERSTATION_KEY2 = "weather2";

    public static final String FCCID = "WSO22-168";

    private static void initIp()
    {
        if (SERVICES_URL == null)
        {
            try
            {   //determine the real ip address
                SERVICES_URL = "http://" + InetAddress.getLocalHost().getHostAddress() + ":8080/muse/services";
            }
            catch (UnknownHostException uhe)
            {
                uhe.printStackTrace();
            }
        }
    }

}
